net.minecraft.client.renderer.texture

## Class TextureAtlasSprite

- java.lang.Object
- - net.minecraft.client.renderer.texture.TextureAtlasSprite

- All Implemented Interfaces:
    IIcon
  Direct Known Subclasses:
    TextureClock, TextureCompass

      public class TextureAtlasSprite
      extends java.lang.Object
      implements IIcon

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `frameCounter`
    `protected java.util.List` | `framesTextureData`
    `protected int` | `height`
    `protected int` | `originX`
    `protected int` | `originY`
    `protected boolean` | `rotated`
    `protected int` | `tickCounter`
    `protected int` | `width`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TextureAtlasSprite(java.lang.String par1Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearFramesTextureData()`
    `void` | `copyFrom(TextureAtlasSprite par1TextureAtlasSprite)`
    `void` | `generateMipmaps(int p_147963_1_)`
    `int` | `getFrameCount()`
    `int[][]` | `getFrameTextureData(int p_147965_1_)`
    `int` | `getIconHeight()`
    `java.lang.String` | `getIconName()`
    `int` | `getIconWidth()`
    `float` | `getInterpolatedU(double par1)`
    `float` | `getInterpolatedV(double par1)`
    `float` | `getMaxU()`
    `float` | `getMaxV()`
    `float` | `getMinU()`
    `float` | `getMinV()`
    `int` | `getOriginX()`
    `int` | `getOriginY()`
    `boolean` | `hasAnimationMetadata()`
    `boolean` | `hasCustomLoader(IResourceManager manager, ResourceLocation location)` The result of this function determines is the below 'load' function is called, and the default vanilla loading code is bypassed completely.
    `void` | `initSprite(int par1, int par2, int par3, int par4, boolean par5)`
    `boolean` | `load(IResourceManager manager, ResourceLocation location)` Load the specified resource as this sprite's data.
    `void` | `loadSprite(java.awt.image.BufferedImage[] p_147964_1_, AnimationMetadataSection p_147964_2_, boolean p_147964_3_)`
    `void` | `setFramesTextureData(java.util.List par1List)`
    `void` | `setIconHeight(int par1)`
    `void` | `setIconWidth(int par1)`
    `java.lang.String` | `toString()`
    `void` | `updateAnimation()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### framesTextureData

          protected java.util.List framesTextureData

    - #### rotated

          protected boolean rotated

    - #### originX

          protected int originX

    - #### originY

          protected int originY

    - #### width

          protected int width

    - #### height

          protected int height

    - #### frameCounter

          protected int frameCounter

    - #### tickCounter

          protected int tickCounter

  - ### Constructor Detail

    - #### TextureAtlasSprite

          protected TextureAtlasSprite(java.lang.String par1Str)

  - ### Method Detail

    - #### initSprite

          public void initSprite(int par1,
                        int par2,
                        int par3,
                        int par4,
                        boolean par5)

    - #### copyFrom

          public void copyFrom(TextureAtlasSprite par1TextureAtlasSprite)

    - #### getOriginX

          public int getOriginX()

    - #### getOriginY

          public int getOriginY()

    - #### getIconWidth

          public int getIconWidth()

      Specified by:
        `getIconWidth` in interface `IIcon`

    - #### getIconHeight

          public int getIconHeight()

      Specified by:
        `getIconHeight` in interface `IIcon`

    - #### getMinU

          public float getMinU()

      Specified by:
        `getMinU` in interface `IIcon`

    - #### getMaxU

          public float getMaxU()

      Specified by:
        `getMaxU` in interface `IIcon`

    - #### getInterpolatedU

          public float getInterpolatedU(double par1)

      Specified by:
        `getInterpolatedU` in interface `IIcon`

    - #### getMinV

          public float getMinV()

      Specified by:
        `getMinV` in interface `IIcon`

    - #### getMaxV

          public float getMaxV()

      Specified by:
        `getMaxV` in interface `IIcon`

    - #### getInterpolatedV

          public float getInterpolatedV(double par1)

      Specified by:
        `getInterpolatedV` in interface `IIcon`

    - #### getIconName

          public java.lang.String getIconName()

      Specified by:
        `getIconName` in interface `IIcon`

    - #### updateAnimation

          public void updateAnimation()

    - #### getFrameTextureData

          public int[][] getFrameTextureData(int p_147965_1_)

    - #### getFrameCount

          public int getFrameCount()

    - #### setIconWidth

          public void setIconWidth(int par1)

    - #### setIconHeight

          public void setIconHeight(int par1)

    - #### loadSprite

          public void loadSprite(java.awt.image.BufferedImage[] p_147964_1_,
                        AnimationMetadataSection p_147964_2_,
                        boolean p_147964_3_)

    - #### generateMipmaps

          public void generateMipmaps(int p_147963_1_)

    - #### clearFramesTextureData

          public void clearFramesTextureData()

    - #### hasAnimationMetadata

          public boolean hasAnimationMetadata()

    - #### setFramesTextureData

          public void setFramesTextureData(java.util.List par1List)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hasCustomLoader

          public boolean hasCustomLoader(IResourceManager manager,
                                ResourceLocation location)

      The result of this function determines is the below 'load' function is called, and the default vanilla loading code is bypassed completely.
      Parameters:
        `manager` -
        `location` -
      Returns:
        True to use your own custom load code and bypass vanilla loading.

    - #### load

          public boolean load(IResourceManager manager,
                     ResourceLocation location)

      Load the specified resource as this sprite's data. Returning false from this function will prevent this icon from being stitched onto the master texture.
      Parameters:
        `manager` - Main resource manager
        `location` - File resource location
      Returns:
        False to prevent this Icon from being stitched